//=============================================================================
//		     Char Driver Details 
//=============================================================================
#define NI_CHAR_DRV_MAJOR_NUM	1000
#define NI_CHAR_DRV_NAME	"chr_drv"
#define FD_CLOSE                _IOR(NI_CHAR_DRV_MAJOR_NUM, 0, int *)
#define FD_DONE                 _IOR(NI_CHAR_DRV_MAJOR_NUM, 1, int *)

typedef struct _blk_drv_if_ {
	int command;
	int blk_num;
	int data_length;
	char data[4096];
} blk_drv_if;

enum lba_cmd_lst {
	LBA_WRITE, 
	LBA_READ, 
	LBA_ERASE, 
	LBA_EXIT, 
	LBA_NO_SUCH_FUNC
};

void copy_from_disk(void *dst, sector_t sector, size_t len);
void copy_to_disk(const void *src, sector_t sector, size_t len);
int is_disk_server_enabled(void);

extern atomic_t cmd_status;
extern blk_drv_if  disk_server_if; 
extern wait_queue_head_t disk_wait; 
extern wait_queue_head_t blk_drv_sleep; 

