
#ifndef _BLK_DRV_IF_
#define _BLK_DRV_IF_

#define NI_CHAR_DRV_MAJOR_NUM	  1000
#define NI_CHAR_DRV_NAME	      "ni_chr_drv"
#define FD_CLOSE                _IOR(NI_CHAR_DRV_MAJOR_NUM, 0, int *)
#define FD_DONE                 _IOR(NI_CHAR_DRV_MAJOR_NUM, 1, int *)


#define NI_BLK_SIZE			(4096)
typedef struct _blk_drv_if_ {
	int command;
	int blk_num;
	int data_length;
	char data[NI_BLK_SIZE];
} blk_drv_if;

extern blk_drv_if fd_msg;
extern blk_drv_if tmp_msg_buffer;
extern int close_fd; 
int init_blk_device_if(void);
void close_blk_device_if(void);
void get_blk_device_msg();
void put_blk_device_msg(char *msg, int data_length);
void displayMemory(unsigned char *data, int length); 
void dumpMemory(unsigned char *data, int length); 

void msg_rd_data_available(void);

extern int log_en;

#endif
